#pragma once

#include "CoreMinimal.h"
#include "ExecuteActionsOnGameEventAction.h"
#include "ExecuteStatusEffectActionOnGameEventAction.generated.h"

class UActivateStatusEffectOnEventBaseStrategy;

UCLASS(Blueprintable, EditInlineNew)
class DBDCOMPETENCE_API UExecuteStatusEffectActionOnGameEventAction : public UExecuteActionsOnGameEventAction
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	UActivateStatusEffectOnEventBaseStrategy* _executeActionOnEventStrategy;

public:
	UExecuteStatusEffectActionOnGameEventAction();
};

FORCEINLINE uint32 GetTypeHash(const UExecuteStatusEffectActionOnGameEventAction) { return 0; }
